#
# Oracle setup: Before loading this file,
#               create user brlbuddy identified by good_password;

#
# brlbuddy must be able to create users at run time
# and be able to change their password.
# Passwords are not stored, so a new one must be chosen every time.
#

grant alter user, create user to brlbuddy;

#
# Users created by brlbuddy using X.509 certificate authentication
# are granted the role brl_auth to distinguish them from random web users.
#

create role brl_auth;
grant brl_auth, connect to brlbuddy with admin option;

#
# Random web users use the id 'webuser'.
# brlbuddy will alter webuser's password to a random password.
#

create user webuser identified by willchange;
grant connect to webuser;
